<template>
  <div class="lds-dual-ring" :style="{ '--loaderColor': loaderColor }" />
</template>

<script>
export default {
  name: "CircleLoader",
  props: {
    color: {
      type: String,
      default: "#fff",
    },
  },
  computed: {
    loaderColor() {
      return this.color.startsWith("#")
        ? this.color
        : `var(--v-${this.color}-base)`;
    },
  },
};
</script>

<style>
.lds-dual-ring {
  display: inline-block;
  width: 80px;
  height: 80px;
  --loaderColor: #fff;
}

.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border-radius: 50%;
  border: 6px solid var(--loaderColor);
  border-color: var(--loaderColor) transparent var(--loaderColor) transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
</style>
